Subject: [netatalk-admins] Newbie with a few questions..

From: Danny Carroll <[email-masked]>
Date: Wed, 25 Feb 1998 11:41:11 +1000

I have a few questions of the ignorant type..  plaese excuse if I offend :)

System  p133
Software netatalk1.42b, redhat 4.2
Clients powermacs 7200/7300/8500's  MacOS 8

Ok..  firstly can you stop the user from using a AppleVolumes file from their 
home dir??  I don't want to share everything...  so I don't want them to be 
able to use such a file.

I tried creating one for them (empty) and chown.chmodding it but I found that 
even though root owned the file..  You could rename it from the Mac...   - BAD

I wonder if you can do this to other files say /etc/passwd??

Also..  I was curious what the .appledouble folders are ??  do they hold the 
resource forks??

-Danny

=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
Danny Carroll - CSO Academy of the Arts, QUT
Phone               (07) 3864-5903
Fax                   (07) 3864-5569
Mobile               0412-217-441
E-mail                [email-masked]

---

From: Vivek <[email-masked]>
Date: Wed, 25 Feb 1998 10:07:41 +0000 (GMT)

> I wonder if you can do this to other files say /etc/passwd??

The ability to move/delete a file depends on the directory permissions:
You aren't altering the file itself, but the directory it is in. After
all, if it's your directory, you get a say as to what lives there and what
doesn't. It might take a bit of getting used to initially, but it all
starts to make sense if you think about it for a while. Think of it like
this - you aren't moving/deleting the file: you're removing/changing an
entry that points to that file from the directory.

--
fsck -f -b 8193 /dev/cortex